#ifndef ELEMSWITCHC_H
#define ELEMSWITCHC_H

#include "aliasc.h"
#include "matrix.h"

void upper_cond_coupl_mat (long eid,long lcid,matrix &vm);
void lower_cond_coupl_mat (long eid,long lcid,matrix &vm);
void upper_cap_coupl_mat (long eid,long lcid,matrix &vm);
void lower_cap_coupl_mat (long eid,long lcid,matrix &vm);

void intpointvaluesc (long eid);
void intpointstrainsc (long eid);
void intpointgradientsc (long eid);

void assemble_coup (long lcid,double *rhs,long n);

void volume_rhs_vectorc (vector &lv,long lcid,long eid);

void copy_temprstrains_metr_mefel ();
void copy_eigstrains_metr_mefel ();
void copy_nonmechtransq_metr_mefel ();

void intpointvalc (long index,double scale);

//void mefel_metr ();
//void trfel_metr ();
//void trfel_mefel ();


#endif
